# ActorClient (dapr-sdk-parent 1.10.0 API)

Package io.dapr.actors.client

## Class ActorClient

- java.lang.Object
- - io.dapr.actors.client.ActorClient

All Implemented Interfaces:
  `AutoCloseable`

    public class ActorClient
    extends Object
    implements AutoCloseable

Holds a client for Dapr sidecar communication. ActorClient should be reused.

### Constructor Summary

Constructors
`ActorClient()` Instantiates a new channel for Dapr sidecar communication.
`ActorClient​(ResiliencyOptions resiliencyOptions)` Instantiates a new channel for Dapr sidecar communication.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ActorClient

    public ActorClient()

Instantiates a new channel for Dapr sidecar communication.

#### ActorClient

    public ActorClient​(ResiliencyOptions resiliencyOptions)

Instantiates a new channel for Dapr sidecar communication.

Parameters:
  `resiliencyOptions` - Client resiliency options.

### Method Detail

#### close

    public void close()

Specified by:
  `close` in interface `AutoCloseable`